# @(#)$Mu: make/sys.solaris-cc.mk,v 1.39 $
##
## sys.solaris-cc.mk
##	system dependent makefile for Solaris 2.4/cc
## Copyright (C) 1996  Eric A. Howe
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##
##   Authors:	Matthew D. Francey
##		Eric A. Howe (mu@echo-on.net)
##

##
## Solaris 2.4/SPARCompiler cc
##
## To get proper token pasting in X11/Xmd.h, we need __STDC__==1
## but we only get that by using -Xc (which is what I really want
## to use anyway) but that causes grief when /usr/include/sys/isa_defs.h
## gets included (a "#error" gets hit because __sparc isn't defined)
## by whatever file is including it; hence, the -D__sparc.
##
sysname    = Solaris 2.4/2.5/2.6 (SPARCompiler cc)
sys        = SY_SUN
mk-cde     = yes
mk-putenv  = no
mk-xpm     = yes
mk-xnt     = no
mk-libhelp = no

cc       = /opt/SUNWspro/bin/cc
perl     = /usr/local/bin/perl
purify   = purify -chain-length="10"
quantify = quantify
cover    = purecov
warn     = -Xc -D__sparc -W0,-pw
defs     = -D$(sys) -D_POSIX_SOURCE -D_XOPEN_SOURCE
opt      = -O
incl     = -I. -I/usr/local/include -I/usr/dt/include -I/usr/openwin/include
ldflags  = -s $(opt) -L/usr/local/lib -L/usr/dt/lib -L/usr/openwin/lib
xlibs    = -lXm -lXpm -lXmu -lXt -lXext -lX11 -lsocket -lnsl -lm
hlibs    = -lhlpclient
ar       = ar
arflags  = r
m4       = $(top)/tools/p4 -P

defs_socket = -DBUSTED_SYS_TYPES

dep    = makedepend
dflags = -f-

mkdir    = mkdirhier
install  = /usr/ucb/install -c
bindir   = /usr/local/bin
binflags = -o bin -g bin -m 755
mandir   = /usr/local/man/man1
manflags = -o bin -g bin -m 644
docdir   = /usr/local/lib/$(projname)
docflags = $(manflags)
addir    = $(docdir)
adflags  = $(docflags)
