#!@@PERL@@ -w
use strict;
use FileHandle;

sub main() {
	my $line;
	my @chars;
	my $index = 0;
	my $array;
	my $hin   = new FileHandle("< $ARGV[0]");
	my $cin   = new FileHandle("< $ARGV[1]");
	my $hout  = new FileHandle("> $ARGV[2]");
	my $cout  = new FileHandle("> $ARGV[3]");

	while($line = $cin->getline()) {
		if($line =~ /^!!CHARS=(.*)!!$/) {
			$array = $1;
			$cout->print("const char $array\[\] = {\n");
			last;
		}
		$cout->print($line);
	}

	while($line = $hin->getline()) {
		if($line !~ /^#define.*"(.*)"/) {
			$hout->print($line);
			next;
		}
		my $x = $1;
		@chars = grep { $_ = "'$_'"; 1} split(//, $x);
		push(@chars, "'\\0'");
		$cout->print(join(",", @chars), ",\n");
		$line =~ s/"$x"/\(\(char \*\)\&$array\[$index\]\)/;
		$index += $#chars + 1;
		$hout->print($line);
	}

	$cout->print("};\n");
	while($line = $cin->getline()) {
		$cout->print($line);
	}

	undef $hin;
	undef $cin;
	undef $hout;
	undef $cout;

	return 0;
}

exit(main());
